> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranets-b2b-peering/consumer/{matchId}/match-details > Get details of a service match for a customer ## OpenAPI ````json GET /v1/extranets-b2b-peering/consumer/{matchId}/match-details { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranets-b2b-peering/consumer/{matchId}/match-details": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "matchId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsB2bPeeringConsumerMatchIdMatchDetailsGetResponse" } } } } }, "description": "Get details of a service match for a customer" } } }, "components": { "schemas": { "v1ExtranetsB2bPeeringConsumerMatchIdMatchDetailsGetResponse": { "type": "object", "properties": { "details": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2bExtranetServiceCustomerMatchDetails" } } }, "additionalProperties": false }, "manaV2B2bExtranetServiceCustomerMatchDetails": { "type": "object", "properties": { "consumerId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "consumerPrefixes": { "type": "array", "items": { "type": "string", "example": "example string" } }, "customer": { "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsCustomer" }, "oldConsumerPrefixes": { "type": "array", "items": { "type": "string", "example": "example string" } }, "oldServicePrefixes": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsProducerPrefix" } }, "service": { "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsService" }, "servicePrefixes": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsProducerPrefix" } } }, "additionalProperties": false }, "manaV2B2BExtranetServiceCustomerMatchDetailsCustomer": { "type": "object", "properties": { "companyName": { "type": "string", "example": "example string" }, "emails": { "type": "array", "items": { "type": "string", "example": "example string" } }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "numSites": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2B2BExtranetServiceCustomerMatchDetailsProducerPrefix": { "type": "object", "properties": { "customerTranslatedPrefix": { "type": "string", "example": "example string" }, "prefix": { "type": "string", "example": "example string" }, "tag": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2B2BExtranetServiceCustomerMatchDetailsService": { "type": "object", "properties": { "companyName": { "type": "string", "example": "example string" }, "contactEmail": { "type": "array", "items": { "type": "string", "example": "example string" } }, "description": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "serviceName": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````